import './node.project.full.scss';

import { FadeInSlideUpAnimator } from 'utils/animators';

document.addEventListener('DOMContentLoaded', () => {
  const NODE_PROJECT_DETAIL_ELEMENTS = document.querySelectorAll('.node__project-details > *');
  const NODE_TLDR_GROUP_ELEMENTS = document.querySelectorAll('.node__tldr-group > *');

  if (NODE_PROJECT_DETAIL_ELEMENTS.length) {
    new FadeInSlideUpAnimator(NODE_PROJECT_DETAIL_ELEMENTS);
  }

  if (NODE_TLDR_GROUP_ELEMENTS.length) {
    new FadeInSlideUpAnimator(NODE_TLDR_GROUP_ELEMENTS);
  }

})
